<?xml version="1.0" encoding="UTF-8"?>
<!--(c) Vodafone Group Services Limited. All rights reserved. This document 
	comprises proprietary and confidential information and copyright material 
	belonging to Vodafone Group Services Limited. Other than as permitted by 
	law, no part of this document may be reproduced, adapted, or distributed, 
	in any form or by any means, without the prior written consent of Vodafone 
	Group Services Limited. The information in this document is subject to change 
	without notice. All trademarks acknowledged. Vodafone Group Services Limited 
	- Confidential -->
<wsdl:definitions xmlns="http://schemas.xmlsoap.org/wsdl/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl"
	xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:wssem="http://lsdis.cs.uga.edu/projects/meteor-s/wsdl-s/"
	xmlns:soap11="http://schemas.xmlsoap.org/wsdl/soap/"
	xmlns:vbm="http://group.vodafone.com/schema/vbm/service/service-balance/v1"
	xmlns:vbs="http://group.vodafone.com/contract/vbs/service/service-balance/v1"
	xmlns:vfo="http://group.vodafone.com/contract/vfo/fault/v1" xmlns:vho="http://group.vodafone.com/contract/vho/header/v1"
	name="ServiceBalance"
	targetNamespace="http://group.vodafone.com/contract/vbs/service/service-balance/v1">
	<wsdl:documentation>The Service Balance service is an Entity service
		providing a capability to retrieve a balance information from the
		downstream systems. This balance information represent the available
		amount of a service owned by a certain customer. Version V1.0
	</wsdl:documentation>
	<!-- Show support for WS-Policy and the attachment of policy assertions -->
	<wsp:UsingPolicy wsdl:Required="true"></wsp:UsingPolicy>
	<!-- The categorisation of the service as defined by the service architecture -->
	<wssem:category name="EntityService"
		taxonomyURI="http://group.vodafone.com/iCoE/Taxonomy.owl#"></wssem:category>
	<wsdl:types>
		<xsd:schema
			targetNamespace="http://group.vodafone.com/contract/vbs/service/service-balance/v1"
			elementFormDefault="qualified">
			<xsd:import
				namespace="http://group.vodafone.com/schema/vbm/service/service-balance/v1"
				schemaLocation="../../../../VBO/Service/ServiceBalance/V1/ServiceBalanceVBM.xsd"></xsd:import>
			<xsd:import namespace="http://group.vodafone.com/contract/vfo/fault/v1"
				schemaLocation="../../../../VBO/Common/V1/Fault.xsd"></xsd:import>
			<xsd:import namespace="http://group.vodafone.com/contract/vho/header/v1"
				schemaLocation="../../../../VBO/Common/V1/Header.xsd"></xsd:import>
		</xsd:schema>
	</wsdl:types>
	<!--Service Operations Message Structures -->
	<wsdl:message name="GetServiceBalanceListReqMessage">
		<wsdl:documentation>This message is used as the request payload to the
			GetServiceBalanceList operation</wsdl:documentation>
		<wsdl:part name="ServiceBalanceCriteria" element="vbm:GetServiceBalanceListVBMRequest"></wsdl:part>
	</wsdl:message>
	<wsdl:message name="GetServiceBalanceListRespMessage">
		<wsdl:documentation>This message is used as the response payload to
			the GetServiceBalanceList operation</wsdl:documentation>
		<wsdl:part name="ServiceBalanceList" element="vbm:GetServiceBalanceListVBMResponse"></wsdl:part>
	</wsdl:message>
	<!--Supporting Messages -->
	<wsdl:message name="VodafoneFault">
		<wsdl:documentation>This message is used for propagating Error Context
			and Error Message</wsdl:documentation>
		<wsdl:part name="VodafoneFault" element="vfo:Fault"></wsdl:part>
	</wsdl:message>
	<wsdl:message name="MessageHeaders">
		<wsdl:documentation>This message is used as the header for SOAP
			request</wsdl:documentation>
		<wsdl:part name="Source" element="vho:Source"></wsdl:part>
		<wsdl:part name="Correlation" element="vho:Correlation"></wsdl:part>
		<wsdl:part name="Cache" element="vho:Cache"></wsdl:part>
		<wsdl:part name="ServiceDocumentation" element="vho:ServiceDocumentation"></wsdl:part>
		<wsdl:part name="ResultStatus" element="vho:ResultStatus"></wsdl:part>
		<wsdl:part name="Destination" element="vho:Destination"></wsdl:part>
		<wsdl:part name="RouteInfo" element="vho:RouteInfo"></wsdl:part>
		<wsdl:part name="QueryResult" element="vho:QueryResult"></wsdl:part>
	</wsdl:message>
	<wsdl:portType name="ServiceBalanceInterface">
		<wsdl:documentation>This interface contains operations for the
			ServiceBalance API</wsdl:documentation>
		<wsdl:operation name="GetServiceBalanceList">
			<wsdl:documentation>This operation is used to GetServiceBalanceList
			</wsdl:documentation>
			<wsdl:input name="GetServiceBalanceListRequest" message="vbs:GetServiceBalanceListReqMessage"
				wsaw:Action="http://group.vodafone.com/contract/vbs/service/service-balance/v1/get-list"></wsdl:input>
			<wsdl:output name="GetServiceBalanceListResponse"
				message="vbs:GetServiceBalanceListRespMessage"></wsdl:output>
			<wsdl:fault name="VodafoneFault" message="vbs:VodafoneFault"></wsdl:fault>
		</wsdl:operation>
	</wsdl:portType>
	<wsdl:binding name="ServiceBalanceInterface-SOAP11-HTTPBinding"
		type="vbs:ServiceBalanceInterface">
		<wsdl:documentation>This binding supports a SOAP 1.1 message over an
			HTTP/1.1 protocol</wsdl:documentation>
		<soap11:binding style="document"
			transport="http://schemas.xmlsoap.org/soap/http"></soap11:binding>
		<!-- Use WS-Addressing v1.0 -->
		<wsaw:UsingAddressing wsdl:required="true"></wsaw:UsingAddressing>
		<wsdl:operation name="GetServiceBalanceList">
			<soap11:operation
				soapAction="http://group.vodafone.com/contract/vbs/service/service-balance/v1/get-list"
				style="document"></soap11:operation>
			<wsdl:input name="GetServiceBalanceListRequest">
				<!-- Require that messages contain some custom headers for tracking, 
					routing, auditing. -->
				<soap11:header message="vbs:MessageHeaders" part="Source"
					use="literal"></soap11:header>
				<soap11:header message="vbs:MessageHeaders" part="Correlation"
					use="literal"></soap11:header>
				<soap11:header message="vbs:MessageHeaders" part="Cache"
					use="literal"></soap11:header>
				<soap11:header message="vbs:MessageHeaders" part="Destination"
					use="literal"></soap11:header>
				<soap11:header message="vbs:MessageHeaders" part="RouteInfo"
					use="literal"></soap11:header>
				<soap11:body use="literal"></soap11:body>
			</wsdl:input>
			<wsdl:output name="GetServiceBalanceListResponse">
				<!-- Require that messages contain some custom headers for tracking, 
					routing, auditing. -->
				<soap11:header message="vbs:MessageHeaders" part="Correlation"
					use="literal"></soap11:header>
				<soap11:header message="vbs:MessageHeaders" part="Cache"
					use="literal"></soap11:header>
				<soap11:header message="vbs:MessageHeaders" part="ServiceDocumentation"
					use="literal"></soap11:header>
				<soap11:header message="vbs:MessageHeaders" part="ResultStatus"
					use="literal"></soap11:header>
				<soap11:header message="vbs:MessageHeaders" part="Source"
					use="literal"></soap11:header>
				<soap11:header message="vbs:MessageHeaders" part="Destination"
					use="literal"></soap11:header>
				<soap11:header message="vbs:MessageHeaders" part="QueryResult"
					use="literal"></soap11:header>
				<soap11:body use="literal"></soap11:body>
			</wsdl:output>
			<wsdl:fault name="VodafoneFault">
				<soap11:fault name="VodafoneFault" use="literal"></soap11:fault>
			</wsdl:fault>
		</wsdl:operation>
	</wsdl:binding>

	<service name="ServiceBalanceInterfaceService">
		<port name="ServiceBalanceInterfacePort" binding="vbs:ServiceBalanceInterface-SOAP11-HTTPBinding">
			<soap11:address location="http://localhost:8080/soap-api/soap"/>
		</port>
	</service>
</wsdl:definitions>